/* fileopendialog.rex */

-- Load the library that contains the BIF(s) we will use
    call RxFuncAdd 'InstMMFuncs', 'OODialog', 'InstMMFuncs'
    call InstMMFuncs

-- Define a linefeed to use with our infoMessage dialog
    lf = '0a'x

--    Define a "starting" location for the dialog
--    NOTE: There must be a trailing backslash (\)
    path = 'c:\program files\oorexx\'

-- Define the prelimary file types to show
-- I think there are ways to enhance this, but will have to research
    filetype = '*.cls'

-- Put the pieces together
    filenames = path || filetype

-- Define a mask name for the dialog
    mask = "ooRexx Files"

-- Run the currently undocumented BIF in ooRexx (will be documented in 3.1.2)
    my_file = getfilenamewindow(filenames,,mask)

    if my_file = 0 then
        call errorMessage('Operation Was Canceled')
    else
        do
            call infoMessage('File Selected Was:' my_file)

-- Use another ooRexx BIF for some "syntax sugar"
            parse value filespec('drive',my_file) with just_drive
            parse value filespec('path',my_file) with just_path
            parse value filespec('name',my_file) with just_name
            infomsg = 'Just The Drive Letter..:' just_drive||lf||,
                      'Just The File Path..:' just_path||lf||,
                      'Just The File Name..:' just_name
            call infoMessage(infomsg)
        end
exit

